cdac.medinfo.base

## Class CCDConstantTemplates

- java.lang.Object
- - cdac.medinfo.base.CCDConstantTemplates

-     public class CCDConstantTemplates
      extends java.lang.Object

  This class specify template identifier constants used in clinical document

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADVANCE_DIRECTIVE_OBSERVATION_TEMPLATE` This constant specifies value representation of advance directive observation template
    `static java.lang.String` | `ADVANCE_DIRECTIVES_REFERENCE_TEMPLATE` This constant specifies value representation of advance directive reference template
    `static java.lang.String` | `ADVANCE_DIRECTIVES_STATUS_OBSERVATION_TEMPLATE` This constant specifies value representation of advance directive status observation template
    `static java.lang.String` | `ADVANCE_DIRECTIVES_TEMPLATE` This constant specifies value representation of advance directives template
    `static java.lang.String` | `AGE_OBSERVATION_TEMPLATE` This constant specifies value representation of age observation template
    `static java.lang.String` | `ALERT_OBSERVATION_TEMPLATE` This constant specifies value representation of alert observation template
    `static java.lang.String` | `ALERT_SECTION_TEMPLATE` This constant specifies value representation of alert section template
    `static java.lang.String` | `ALERT_STATUS_OBSERVATION_TEMPLATE` This constant specifies value representation of alert status observation template
    `static java.lang.String` | `AUTHORIZATION_ACTIVITY_TEMPLATE` This constant specifies value representation of authorization activity template
    `static java.lang.String` | `CLINICALDOCUMENT_EXTENSION` This constant specifies value representation of clinical document header extension
    `static java.lang.String` | `CLINICALDOCUMENT_ROOT` This constant specifies value representation of clinical document header root
    `static java.lang.String` | `CLINICALDOCUMENT_ROOT_TEMPLATES` This constant specifies value representation of clinical document root templates
    `static java.lang.String` | `COVERAGE_ACTIVITY_TEMPLATE` This constant specifies value representation of coverage activity template
    `static java.lang.String` | `ENCOUNTER_ACTIVITY_TEMPLATE` This constant specifies value representation of encounter activity template
    `static java.lang.String` | `ENCOUNTER_COVERAGE_ID` This constant specifies value representation of encounter coverage template
    `static java.lang.String` | `ENCOUNTER_SECTION_TEMPLATE` This constant specifies value representation of encounter section template
    `static java.lang.String` | `EPISODE_OBSERVATION_TEMPLATE` This constant specifies value representation of episode observation template
    `static java.lang.String` | `FAMILY_HISTORY_CAUSE_OF_DEATH_OBSERVATION_TEMPLATE` This constant specifies value representation of family history cause of death observation template
    `static java.lang.String` | `FAMILY_HISTORY_OBSERVATION_TEMPLATE` This constant specifies value representation of family history observation template
    `static java.lang.String` | `FAMILY_HISTORY_ORGANIZER_TEMPLATE` This constant specifies value representation of family history organizer template
    `static java.lang.String` | `FAMILY_HISTORY_TEMPLATE` This constant specifies value representation of family history template
    `static java.lang.String` | `FUNCTIONAL_STATUS_SECTION_TEMPLATE` This constant specifies value representation of functional status section template
    `static java.lang.String` | `IMMUNIZATION_SECTION_TEMPLATES` This constant specifies value representation of immunizations section template
    `static java.lang.String` | `MEDICAL_EQUIPMENT_SECTION_TEMPLATE` This constant specifies value representation of medical equipment section template
    `static java.lang.String` | `MEDICATION_ACTIVITY_TEMPLATE` This constant specifies value representation of medication activity template
    `static java.lang.String` | `MEDICATION_OBSERVAYION_TEMPLATES` This constant specifies value representation of medication observation templates
    `static java.lang.String` | `MEDICATIONS_CRITERION_TEMPLATE` This constant specifies value representation of medications criterion template
    `static java.lang.String` | `MEDICATIONS_SECTION_TEMPLATE` This constant specifies value representation of medications section template
    `static java.lang.String` | `PAYERS_SECTION_TEMPLATES` This constant specifies value representation of payer section template
    `static java.lang.String` | `PLAN_ACTIVITY_TEMPLATE` This constant specifies value representation of plan activity template
    `static java.lang.String` | `PLAN_OF_CARE_SECTION_TEMPLATE` This constant specifies value representation of plan of care section template
    `static java.lang.String` | `POLICY_ACTIVITY_TEMPLATE` This constant specifies value representation of policy activity template
    `static java.lang.String` | `PROBLEM_ACT_TEMPLATE` This constant specifies value representation of problem act template
    `static java.lang.String` | `PROBLEM_OBSERVATION_TEMPLATE` This constant specifies value representation of problem observation template
    `static java.lang.String` | `PROBLEM_SECTION_TEMPLATE` This constant specifies value representation of problem section template
    `static java.lang.String` | `PROBLEM_STATUS_OBSERVATION_TEMPLATE` This constant specifies value representation of problem status observation template
    `static java.lang.String` | `PROCEDURE_ACTIVITY_TEMPLATE` This constant specifies value representation of procedure activity template
    `static java.lang.String` | `PROCEDURES_SECTION_TEMPLATE` This constant specifies value representation of procedure section template
    `static java.lang.String` | `PRODUCT_INSTANCE_TEMPLATE` This constant specifies value representation of product instance template
    `static java.lang.String` | `PRODUCT_TEMPLATE` This constant specifies value representation of product template
    `static java.lang.String` | `PURPOSE_ACTIVITY_TEMPLATES` This constant specifies value representation of purpose activity templates
    `static java.lang.String` | `PURPOSE_SECTION_TEMPLATES` This constant specifies value representation of purpose section template
    `static java.lang.String` | `REACTION_OBSERVATION_TEMPLATE` This constant specifies value representation of reaction observation template
    `static java.lang.String` | `RESULT_OBSERVATION_TEMPLATE` This constant specifies value representation of result observation template
    `static java.lang.String` | `RESULT_ORGANIZER_TEMPLATE` This constant specifies value representation of result organizer template
    `static java.lang.String` | `RESULTS_SECTION_TEMPLATE` This constant specifies value representation of results section template
    `static java.lang.String` | `SOCIAL_HISTORY_OBSERVATION_TEMPLATE` This constant specifies value representation of social history observation template
    `static java.lang.String` | `SOCIAL_HISTORY_SECTION_TEMPLATE` This constant specifies value representation of social history section template
    `static java.lang.String` | `STATUS_OF_FUNCTIONAL_STATUS_OBSERVATION_TEMPLATE` This constant specifies value representation of status of functional status observation template
    `static java.lang.String` | `SUPPLY_ACTIVITY_TEMPLATE` This constant specifies value representation of supply activity template
    `static java.lang.String` | `VERIFICATION_OF_AN_ADVANCE_DIRECTIVE_OBSERVATION_TEMPLATE` This constant specifies value representation of verification of an advance directive observation template
    `static java.lang.String` | `VITAL_SIGNS_ORGANIZER_TEMPLATE` This constant specifies value representation of vital Signs organizer template
    `static java.lang.String` | `VITAL_SIGNS_SECTION_TEMPLATE` This constant specifies value representation of vital Signs section template

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCDConstantTemplates()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLINICALDOCUMENT_ROOT

          public static final java.lang.String CLINICALDOCUMENT_ROOT

      This constant specifies value representation of clinical document header root
      See Also:
        Constant Field Values

    - #### CLINICALDOCUMENT_EXTENSION

          public static final java.lang.String CLINICALDOCUMENT_EXTENSION

      This constant specifies value representation of clinical document header extension
      See Also:
        Constant Field Values

    - #### PURPOSE_ACTIVITY_TEMPLATES

          public static final java.lang.String PURPOSE_ACTIVITY_TEMPLATES

      This constant specifies value representation of purpose activity templates
      See Also:
        Constant Field Values

    - #### CLINICALDOCUMENT_ROOT_TEMPLATES

          public static final java.lang.String CLINICALDOCUMENT_ROOT_TEMPLATES

      This constant specifies value representation of clinical document root templates
      See Also:
        Constant Field Values

    - #### MEDICATION_OBSERVAYION_TEMPLATES

          public static final java.lang.String MEDICATION_OBSERVAYION_TEMPLATES

      This constant specifies value representation of medication observation templates
      See Also:
        Constant Field Values

    - #### PURPOSE_SECTION_TEMPLATES

          public static final java.lang.String PURPOSE_SECTION_TEMPLATES

      This constant specifies value representation of purpose section template
      See Also:
        Constant Field Values

    - #### IMMUNIZATION_SECTION_TEMPLATES

          public static final java.lang.String IMMUNIZATION_SECTION_TEMPLATES

      This constant specifies value representation of immunizations section template
      See Also:
        Constant Field Values

    - #### PAYERS_SECTION_TEMPLATES

          public static final java.lang.String PAYERS_SECTION_TEMPLATES

      This constant specifies value representation of payer section template
      See Also:
        Constant Field Values

    - #### COVERAGE_ACTIVITY_TEMPLATE

          public static final java.lang.String COVERAGE_ACTIVITY_TEMPLATE

      This constant specifies value representation of coverage activity template
      See Also:
        Constant Field Values

    - #### PROCEDURE_ACTIVITY_TEMPLATE

          public static final java.lang.String PROCEDURE_ACTIVITY_TEMPLATE

      This constant specifies value representation of procedure activity template
      See Also:
        Constant Field Values

    - #### ADVANCE_DIRECTIVES_TEMPLATE

          public static final java.lang.String ADVANCE_DIRECTIVES_TEMPLATE

      This constant specifies value representation of advance directives template
      See Also:
        Constant Field Values

    - #### ENCOUNTER_SECTION_TEMPLATE

          public static final java.lang.String ENCOUNTER_SECTION_TEMPLATE

      This constant specifies value representation of encounter section template
      See Also:
        Constant Field Values

    - #### PROCEDURES_SECTION_TEMPLATE

          public static final java.lang.String PROCEDURES_SECTION_TEMPLATE

      This constant specifies value representation of procedure section template
      See Also:
        Constant Field Values

    - #### ADVANCE_DIRECTIVE_OBSERVATION_TEMPLATE

          public static final java.lang.String ADVANCE_DIRECTIVE_OBSERVATION_TEMPLATE

      This constant specifies value representation of advance directive observation template
      See Also:
        Constant Field Values

    - #### VERIFICATION_OF_AN_ADVANCE_DIRECTIVE_OBSERVATION_TEMPLATE

          public static final java.lang.String VERIFICATION_OF_AN_ADVANCE_DIRECTIVE_OBSERVATION_TEMPLATE

      This constant specifies value representation of verification of an advance directive observation template
      See Also:
        Constant Field Values

    - #### ADVANCE_DIRECTIVES_REFERENCE_TEMPLATE

          public static final java.lang.String ADVANCE_DIRECTIVES_REFERENCE_TEMPLATE

      This constant specifies value representation of advance directive reference template
      See Also:
        Constant Field Values

    - #### ADVANCE_DIRECTIVES_STATUS_OBSERVATION_TEMPLATE

          public static final java.lang.String ADVANCE_DIRECTIVES_STATUS_OBSERVATION_TEMPLATE

      This constant specifies value representation of advance directive status observation template
      See Also:
        Constant Field Values

    - #### POLICY_ACTIVITY_TEMPLATE

          public static final java.lang.String POLICY_ACTIVITY_TEMPLATE

      This constant specifies value representation of policy activity template
      See Also:
        Constant Field Values

    - #### MEDICATIONS_CRITERION_TEMPLATE

          public static final java.lang.String MEDICATIONS_CRITERION_TEMPLATE

      This constant specifies value representation of medications criterion template
      See Also:
        Constant Field Values

    - #### AUTHORIZATION_ACTIVITY_TEMPLATE

          public static final java.lang.String AUTHORIZATION_ACTIVITY_TEMPLATE

      This constant specifies value representation of authorization activity template
      See Also:
        Constant Field Values

    - #### FUNCTIONAL_STATUS_SECTION_TEMPLATE

          public static final java.lang.String FUNCTIONAL_STATUS_SECTION_TEMPLATE

      This constant specifies value representation of functional status section template
      See Also:
        Constant Field Values

    - #### STATUS_OF_FUNCTIONAL_STATUS_OBSERVATION_TEMPLATE

          public static final java.lang.String STATUS_OF_FUNCTIONAL_STATUS_OBSERVATION_TEMPLATE

      This constant specifies value representation of status of functional status observation template
      See Also:
        Constant Field Values

    - #### PROBLEM_ACT_TEMPLATE

          public static final java.lang.String PROBLEM_ACT_TEMPLATE

      This constant specifies value representation of problem act template
      See Also:
        Constant Field Values

    - #### FAMILY_HISTORY_TEMPLATE

          public static final java.lang.String FAMILY_HISTORY_TEMPLATE

      This constant specifies value representation of family history template
      See Also:
        Constant Field Values

    - #### PROBLEM_OBSERVATION_TEMPLATE

          public static final java.lang.String PROBLEM_OBSERVATION_TEMPLATE

      This constant specifies value representation of problem observation template
      See Also:
        Constant Field Values

    - #### PROBLEM_SECTION_TEMPLATE

          public static final java.lang.String PROBLEM_SECTION_TEMPLATE

      This constant specifies value representation of problem section template
      See Also:
        Constant Field Values

    - #### PROBLEM_STATUS_OBSERVATION_TEMPLATE

          public static final java.lang.String PROBLEM_STATUS_OBSERVATION_TEMPLATE

      This constant specifies value representation of problem status observation template
      See Also:
        Constant Field Values

    - #### EPISODE_OBSERVATION_TEMPLATE

          public static final java.lang.String EPISODE_OBSERVATION_TEMPLATE

      This constant specifies value representation of episode observation template
      See Also:
        Constant Field Values

    - #### SOCIAL_HISTORY_SECTION_TEMPLATE

          public static final java.lang.String SOCIAL_HISTORY_SECTION_TEMPLATE

      This constant specifies value representation of social history section template
      See Also:
        Constant Field Values

    - #### SOCIAL_HISTORY_OBSERVATION_TEMPLATE

          public static final java.lang.String SOCIAL_HISTORY_OBSERVATION_TEMPLATE

      This constant specifies value representation of social history observation template
      See Also:
        Constant Field Values

    - #### ALERT_SECTION_TEMPLATE

          public static final java.lang.String ALERT_SECTION_TEMPLATE

      This constant specifies value representation of alert section template
      See Also:
        Constant Field Values

    - #### ALERT_OBSERVATION_TEMPLATE

          public static final java.lang.String ALERT_OBSERVATION_TEMPLATE

      This constant specifies value representation of alert observation template
      See Also:
        Constant Field Values

    - #### REACTION_OBSERVATION_TEMPLATE

          public static final java.lang.String REACTION_OBSERVATION_TEMPLATE

      This constant specifies value representation of reaction observation template
      See Also:
        Constant Field Values

    - #### ENCOUNTER_COVERAGE_ID

          public static final java.lang.String ENCOUNTER_COVERAGE_ID

      This constant specifies value representation of encounter coverage template
      See Also:
        Constant Field Values

    - #### ALERT_STATUS_OBSERVATION_TEMPLATE

          public static final java.lang.String ALERT_STATUS_OBSERVATION_TEMPLATE

      This constant specifies value representation of alert status observation template
      See Also:
        Constant Field Values

    - #### MEDICATIONS_SECTION_TEMPLATE

          public static final java.lang.String MEDICATIONS_SECTION_TEMPLATE

      This constant specifies value representation of medications section template
      See Also:
        Constant Field Values

    - #### MEDICATION_ACTIVITY_TEMPLATE

          public static final java.lang.String MEDICATION_ACTIVITY_TEMPLATE

      This constant specifies value representation of medication activity template
      See Also:
        Constant Field Values

    - #### PRODUCT_TEMPLATE

          public static final java.lang.String PRODUCT_TEMPLATE

      This constant specifies value representation of product template
      See Also:
        Constant Field Values

    - #### MEDICAL_EQUIPMENT_SECTION_TEMPLATE

          public static final java.lang.String MEDICAL_EQUIPMENT_SECTION_TEMPLATE

      This constant specifies value representation of medical equipment section template
      See Also:
        Constant Field Values

    - #### VITAL_SIGNS_SECTION_TEMPLATE

          public static final java.lang.String VITAL_SIGNS_SECTION_TEMPLATE

      This constant specifies value representation of vital Signs section template
      See Also:
        Constant Field Values

    - #### VITAL_SIGNS_ORGANIZER_TEMPLATE

          public static final java.lang.String VITAL_SIGNS_ORGANIZER_TEMPLATE

      This constant specifies value representation of vital Signs organizer template
      See Also:
        Constant Field Values

    - #### RESULTS_SECTION_TEMPLATE

          public static final java.lang.String RESULTS_SECTION_TEMPLATE

      This constant specifies value representation of results section template
      See Also:
        Constant Field Values

    - #### RESULT_OBSERVATION_TEMPLATE

          public static final java.lang.String RESULT_OBSERVATION_TEMPLATE

      This constant specifies value representation of result observation template
      See Also:
        Constant Field Values

    - #### RESULT_ORGANIZER_TEMPLATE

          public static final java.lang.String RESULT_ORGANIZER_TEMPLATE

      This constant specifies value representation of result organizer template
      See Also:
        Constant Field Values

    - #### SUPPLY_ACTIVITY_TEMPLATE

          public static final java.lang.String SUPPLY_ACTIVITY_TEMPLATE

      This constant specifies value representation of supply activity template
      See Also:
        Constant Field Values

    - #### PRODUCT_INSTANCE_TEMPLATE

          public static final java.lang.String PRODUCT_INSTANCE_TEMPLATE

      This constant specifies value representation of product instance template
      See Also:
        Constant Field Values

    - #### PLAN_ACTIVITY_TEMPLATE

          public static final java.lang.String PLAN_ACTIVITY_TEMPLATE

      This constant specifies value representation of plan activity template
      See Also:
        Constant Field Values

    - #### PLAN_OF_CARE_SECTION_TEMPLATE

          public static final java.lang.String PLAN_OF_CARE_SECTION_TEMPLATE

      This constant specifies value representation of plan of care section template
      See Also:
        Constant Field Values

    - #### ENCOUNTER_ACTIVITY_TEMPLATE

          public static final java.lang.String ENCOUNTER_ACTIVITY_TEMPLATE

      This constant specifies value representation of encounter activity template
      See Also:
        Constant Field Values

    - #### FAMILY_HISTORY_OBSERVATION_TEMPLATE

          public static final java.lang.String FAMILY_HISTORY_OBSERVATION_TEMPLATE

      This constant specifies value representation of family history observation template
      See Also:
        Constant Field Values

    - #### FAMILY_HISTORY_CAUSE_OF_DEATH_OBSERVATION_TEMPLATE

          public static final java.lang.String FAMILY_HISTORY_CAUSE_OF_DEATH_OBSERVATION_TEMPLATE

      This constant specifies value representation of family history cause of death observation template
      See Also:
        Constant Field Values

    - #### AGE_OBSERVATION_TEMPLATE

          public static final java.lang.String AGE_OBSERVATION_TEMPLATE

      This constant specifies value representation of age observation template
      See Also:
        Constant Field Values

    - #### FAMILY_HISTORY_ORGANIZER_TEMPLATE

          public static final java.lang.String FAMILY_HISTORY_ORGANIZER_TEMPLATE

      This constant specifies value representation of family history organizer template
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CCDConstantTemplates

          public CCDConstantTemplates()